%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name File_SMBPasswd

Name:           php-pear-File-SMBPasswd
Version:        1.0.3
Release:        2%{?dist}
Summary:        Class for managing SAMBA style password files

Group:          Development/Languages
License:        BSD
URL:            http://pear.php.net/package/File_SMBPasswd
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2

Requires:       php-pear(PEAR) php-pear(Crypt_CHAP) >= 1.0.0
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
With this package, you can maintain smbpasswd-files, usually used by SAMBA.


%prep
%setup -qc
# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}/docdir/%{pear_name}/*
%{pear_xmldir}/%{name}.xml
%dir %{pear_phpdir}/File
%{pear_phpdir}/File/SMBPasswd.php


%changelog
* Sat Aug 28 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.0.3-2
- clean define
- rename File_SMBPasswd.xml to php-pear-File-SMBPasswd.xml
- set date.timezone during build
- fix typo in descr.

* Mon Sep 07 2009 Christopher Stone <chris.stone@gmail.com> 1.0.3-1
- Upstream sync

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 14 2008 Christopher Stone <chris.stone@gmail.com> 1.0.2-2
- Rebuild for vendor tag (bz #451362)

* Tue Mar 13 2007 Christopher Stone <chris.stone@gmail.com> 1.0.2-1
- Initial Fedora release
